Package com.io7m.idstore.protocol.user.cb.internal

# Class IdUCB1ValidationGeneral

java.lang.Object
com.io7m.idstore.protocol.user.cb.internal.IdUCB1ValidationGeneral

public final class IdUCB1ValidationGeneral extends Object
Functions to translate between the core command set and the User v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdNonEmptyList<IdEmail>`
  `fromWireEmails(com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails)`
  `static IdPassword`
  `fromWirePassword(IdU1Password fieldPassword)`
  `static OffsetDateTime`
  `fromWireTimestamp(IdU1TimestampUTC t)`
  `static IdUser`
  `fromWireUser(IdU1User user)`
  `static IdU1Password`
  `toWirePassword(IdPassword password)`
  `static IdU1TimestampUTC`
  `toWireTimestamp(OffsetDateTime t)`
  `static IdU1User`
  `toWireUser(IdUser user)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fromWireEmails

    public static IdNonEmptyList<IdEmail> fromWireEmails(com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldEmails) throws IdProtocolException
    Throws:
      `IdProtocolException`

  - ### fromWirePassword

    public static IdPassword fromWirePassword(IdU1Password fieldPassword) throws IdPasswordException
    Throws:
      `IdPasswordException`

  - ### fromWireTimestamp

    public static OffsetDateTime fromWireTimestamp(IdU1TimestampUTC t)

  - ### toWireTimestamp

    public static IdU1TimestampUTC toWireTimestamp(OffsetDateTime t)

  - ### toWirePassword

    public static IdU1Password toWirePassword(IdPassword password)

  - ### toWireUser

    public static IdU1User toWireUser(IdUser user)

  - ### fromWireUser

    public static IdUser fromWireUser(IdU1User user) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`